Package org.apache.avro.message

# Class BadHeaderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.avro.AvroRuntimeException
org.apache.avro.message.BadHeaderException

All Implemented Interfaces:
  `Serializable`

public class BadHeaderException extends AvroRuntimeException
Exception thrown by a `MessageDecoder` when a message header is not recognized.

This usually indicates that the encoded bytes were not an Avro message.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BadHeaderException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BadHeaderException

public BadHeaderException(String message)